Subject: [PATCH v3 09/18] ASoC: fsl-ssi: Only enable baudclk when used

From: [email-masked] (Timur Tabi)
Date: Thu, 17 Apr 2014 08:46:01 -0500

Markus Pargmann wrote:
> Is there always exactly one hw_free call for one hw_params call?

I don't think so.  It's been a while since I've worked on this code, but 
I do remember noticing that hw_params could be called multiple times, 
whereas hw_free was called only once.  This made a big impact on my 
design of the code.